from  chimera.extension import EMO, manager

# -----------------------------------------------------------------------------
#
class Segger_EMO ( EMO ):

  def name(self):
    return 'Segger'
  def description(self):
    return self.categoryDescriptions()['Volume Data']
  def categories(self):
    return self.categoryDescriptions().keys()
  def categoryDescriptions(self):
    # since we want to use specialized descriptions for certain categories...
    return {
      'Volume Data': 'Segment volume data to identify components',
    }
  def icon(self):
    return self.path('volseg.png')
  def activate(self):
    # self.module('volumedialog').show_volume_dialog()
    d = self.module('segment_dialog').show_volume_segmentation_dialog()
    return None

# -----------------------------------------------------------------------------
# Register volume dialog and menu entry.
#
emo = Segger_EMO ( __file__ )
manager.registerExtension ( emo )

# -----------------------------------------------------------------------------
# Register segmentation file reader.
#
def open_seg(path):
  from Segger import segment_dialog as sd
  d = sd.show_volume_segmentation_dialog()
  d.OpenSegFiles([path])
  return []

import chimera
fi = chimera.fileInfo
fi.register('Segger segmentation', open_seg, ['.seg'], ['segger'],
            category = fi.GENERIC3D)
